#!/bin/bash
# Get the user requested defines
# UDEFS is a list of keywords, and is meant to be writeable by your users
# PRE and POSTCMD get added as command files if they exist, allowing
# system defines or system-local command files.
# (note that system-local transcripts won't be able to be downloaded from the
# server though)
DEFDIR=/var/radmind/state
UDEFS=/etc/TACSUNS/flags/user-radmind-defines
PRECMD=$DEFDIR/pre-command.K
POSTCMD=$DEFDIR/post-command.K
DEFAULTS=/var/radmind/client/defines.K
COMMAND=/var/radmind/client/command.K

if [ -n "$1" ]; then
	COMMAND=$1
fi

[ -r $DEFAULTS ] && echo k $DEFAULTS
# Let's assume defines only contain a-zA-Z0-9 and _ or -
[ -r $UDEFS ] && egrep '^#(define|undef) [a-zA-Z0-9_-][a-zA-Z0-9_-]*$' $UDEFS
[ -r $PRECMD ] && echo k $PRECMD
echo k command.K
[ -r $POSTCMD ] && echo k $POSTCMD
exit 0
